SoViewVolumeElement(3)

NAME
SoViewVolumeElement - The SoViewVolumeElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoViewVolumeElement.h>

Inherits SoReplacedElement.

  Public Member Functions
virtual void init (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const SbViewVolume &viewVolume)
FIXME: write doc.
static const SbViewVolume & get (SoState *const state)
FIXME: write doc.

  Protected Member Functions
virtual ~SoViewVolumeElement ()

  Protected Attributes
SbViewVolume viewVolume

  Additional Inherited Members

Detailed Description

The SoViewVolumeElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoViewVolumeElement::~SoViewVolumeElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoViewVolumeElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoViewVolumeElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoViewVolumeElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoViewVolumeElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoViewVolumeElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value is rectangular box with (left: -1.0, right: 1.0, bottom: -1.0, top: 1.0, near: -1.0, far: 1.0).

Reimplemented from SoReplacedElement.

Member Data Documentation

  SoViewVolumeElement::viewVolume [protected]
FIXME: write doc.

Author

Generated automatically by Doxygen for Coin from the source code.